Custody providers
Get Safe Wallet Transactions
Fetches token transfer history for a legacy Safe wallet via the Alchemy RPC API using the org token.
POSThttps://api.toku.com/tga/get-safe-wallet-transactions
Required scope: wallets:read
curl --request POST \
--url 'https://api.toku.com/tga/get-safe-wallet-transactions' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"orgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"safeWalletID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"cursor": {
"safeWalletID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"limit": 0
}'200 response
{
"success": true,
"message": "string",
"transactions": [
{
"type": "received",
"amount": "string",
"symbol": "string",
"tokenAddress": "string",
"executionDate": "string",
"party": "string",
"txHash": "string",
"network": "string"
}
],
"totalTransactionsCounts": 0
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
orgIDstring<uuid>safeWalletIDstring<uuid>cursorobjectShow child attributes
safeWalletIDstring<uuid>requiredlimitintegerAllowed: 1 to 20
Response
200Successful response
successbooleanrequiredmessagestringtransactionsobject[]requiredShow child attributes
typestringrequiredAvailable options: received, sent
amountstringrequiredsymbolstringrequiredtokenAddressstringexecutionDatestringrequiredpartystringrequiredtxHashstringnetworkstringtotalTransactionsCountsnumberrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits